#include "DrinkItem.h"
#include "ui_DrinkItem.h"

DrinkItem::DrinkItem(const QString &name, const QString &mate, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::DrinkItem)
{
    ui->setupUi(this);
    _drinkname = name;
    _drinkmate = mate;

    ui->drinkName->setText(name);
    ui->drinkMates->setText(mate);
}

DrinkItem::~DrinkItem()
{
    delete ui;
}

QString DrinkItem::drinkName()
{
    return _drinkname;
}

void DrinkItem::setDrinkName(const QString &name)
{
    _drinkname = name;
    ui->drinkName->setText(_drinkname);
}

QString DrinkItem::drinkMate()
{
    return _drinkmate;
}

void DrinkItem::setDrinkMate(const QString &mate)
{
    _drinkmate = mate;
    ui->drinkMates->setText(_drinkmate);
}
